Skip to main content
GET
Get the latest report

Authorizations

Authorization
string
header
required

Query Parameters

having_any_tags
string | null

Optional filter for report tags, asks for reports that contain at least one of the specified tags.

having_all_tags
string | null

Optional filter for required report tags, asks for reports that contain all of the specified tags.

exclude_having_any_tags
string | null

Optional filter for report exclude tags, asks for reports that do not contain any of the specified tags.

exclude_having_all_tags
string | null

Optional filter for report exclude tags, asks for reports that do not contain all of the specified tags.

order_by
enum<string> | null

Optional order by property, will return latest report based on order by property. Valid values: NAME, USER, DATE_RUN, DATE_COMPLETED, STATUS. Omit it to order by scheduled date.

Available options:
DATE_COMPLETED,
DATE_RUN,
NAME,
STATUS,
USER
order
enum<string> | null

Optional order direction, will return latest report sorted in specified direction. Valid values: ASCENDING (or ASC), DESCENDING (or DESC)

Available options:
ASC,
ASCENDING,
DESC,
DESCENDING

Response

Successful response

completed_date
string | null
required
display_name
string
required
download_uri
string | null
required
formats
enum<string>[]
required
Available options:
CSV,
HEADLESS_CSV,
HEADLESS_PSV,
JSON,
JSONL,
PSV,
XLSX
name
string
required
report_id
string
required
report_type
string
required
tags
string[]
required